Bug 498010 - mhonarc is installing perl modules in a non-standard location
mhonarc is installing perl modules in a non-standard location
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mhonarc (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 09:38 EDT by Xavier Bachelot
Modified: 2010-06-28 08:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:14:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
move perl modules and a bit of cleanup (2.23 KB, patch)
2009-04-29 14:20 EDT, Xavier Bachelot
no flags Details | Diff

  None (edit)
Description Xavier Bachelot 2009-04-28 09:38:36 EDT
Description of problem:
mhonarc is installing perl modules in the non-standard location /usr/share/MHonArc. I'm working on packaging sympa which is requiring perl(MHonArc::UTF8), which is provided by mhonarc. However, sympa doesn't find this dependancy even when mhonarc is installed because the module location is not in the perl search path. Is the location non-standard by design ? If yes, what's the rational ? If not, can it be fixed ?

How reproducible:
always
Comment 1 Xavier Bachelot 2009-04-29 14:20:51 EDT
Created attachment 341815 [details]
move perl modules and a bit of cleanup
Comment 2 Xavier Bachelot 2009-04-29 14:21:31 EDT
The attached patch helped on my side, not sure it is correct though. This patch also includes some rpmlint warning cleanup.
Comment 3 Aurelien Bompard 2009-04-30 00:22:40 EDT
I'm not very comfortable with putting all those .pl files in /usr/lib/perl5/vendor_perl/5.10.0. The MHonArc directory would have been fine, but all those .pl files are just too much. Not sure what's they're used for though. I'll try to make it work while those files are somewere else, but if I can't I'll just symlink /usr/share/mhonarc/MHonArc to /usr/lib/perl5/vendor_perl/5.10.0.
Comment 4 Xavier Bachelot 2009-04-30 04:23:00 EDT
I agree, moving the .pl files too doesn't look very nice. The symlink should do the trick and is probably better/cleaner.
Comment 5 Bug Zapper 2009-06-09 10:42:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 09:58:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 08:14:59 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.